// utf8.h - UTF-8 handling

#ifndef _BESTIOLA_UTF8_H
#define _BESTIOLA_UTF8_H

#include <stddef.h>

typedef void (*utf8_action)(unsigned code, void *data);

size_t utf8_length(const char *s, _Bool *error) __attribute__((nonnull));
_Bool utf8_parse(const char *s, utf8_action action, void *data)
	__attribute__((nonnull(1, 2)));
_Bool utf8_valid(const char *s) __attribute__((nonnull));

#endif
