// Support for assert functions

#include "assert.h"

#include <err.h>
#include <errno.h>
#include <stdlib.h>

static void default_handler(void);

void (*assert_error_handler)(void) = default_handler;

static void default_handler(void) {
	if (errno)
		err(EXIT_FAILURE, NULL);
	errx(EXIT_FAILURE, "Assert error");
}
